/***********************
* Adobe Edge Animate コンポジションアクション
*
* このファイルを編集する際には注意が必要です。必ず関数シグニチャと
* 「Edge」で始まるコメントを保持して、 Adobe Edge 内からこれらのアクションを
* 操作可能な状態にしておいてください。 
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // よく使用する Edge クラスのエイリアス

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
         
         sym.$("logBase").css({position:"fixed"}).appendTo($("body"));
         var log = sym.$("log");
         
         var sym1 = sym.getSymbol("Symbol_1");
         var sym2 = sym.getSymbol("Symbol_2");
         var sym3 = sym.getSymbol("Symbol_3");
         
         var v = 5;
         var animTime = 2000;
         
         //control symbol timeline by $(window).scrollTop() pos.
         $(window).scroll(function (e) {
           //get scrollTop
           var scrollTop = $(window).scrollTop();
           
           //case of sym1:control playhead.
           var n = Math.min(parseInt(scrollTop*v),animTime);
           sym1.stop(n);
         
           //case of sym2:control play/pause
           if(scrollTop>775 && scrollTop<875){
             if(!sym2.isPlaying()){
               sym2.play(); //if you play from start every time. sym.play(0);
             }
           }else{
             sym2.stop();
           }
         
           //case of sym3:control play head(use surplus for loop)
           sym3.stop(scrollTop*v%animTime);
         
           log.text("top:"+scrollTop);
         });

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Symbol_1'
   (function(symbolName) {   
   
   })("Symbol_1");
   //Edge symbol end:'Symbol_1'

   //=========================================================
   
   //Edge symbol: 'Symbol_2'
   (function(symbolName) {   
   
      Symbol.bindTimelineAction(compId, symbolName, "Default Timeline", "complete", function(sym, e) {
         // タイムラインの最後で実行されるコードをここに挿入
         sym.play();

      });
      //Edge binding end

   })("Symbol_2");
   //Edge symbol end:'Symbol_2'

   //=========================================================
   
   //Edge symbol: 'Symbol_3'
   (function(symbolName) {   
   
   })("Symbol_3");
   //Edge symbol end:'Symbol_3'

})(jQuery, AdobeEdge, "EDGE-173158700");